#!/bin/bash

#
#                ╔═══╗╔╗──╔╗╔═══╗╔═╗─╔╗
#                ║╔═╗║║╚╗╔╝║║╔═╗║║║╚╗║║
#                ║║─║║╚╗║║╔╝║╚═╝║║╔╗╚╝║
#                ║║─║║─║╚╝║─║╔══╝║║╚╗║║
#                ║╚═╝║─╚╗╔╝─║║───║║─║║║
#                ╚═══╝──╚╝──╚╝───╚╝─╚═╝
#
# ╔══╗─────────────────╔╗─╔╗     ─────────╔╗──╔╗────────────
# ║╔╗║─────────────────║║─║║     ────────╔╝╚╗╔╝╚╗───────────
# ║╚╝║╔═╗╔╗╔╗╔╗╔══╗╔══╗║╚═╝║     ╔╗╔╗╔══╗╚╗╔╝╚╗╔╝╔══╗╔═╗╔══╗
# ║╔═╝║╔╝─╣║╚╝║║╔╗║║╔═╝╚═╗╔╝     ║╚╝║║╔╗║─║║──║║─║║═╣║╔╝║══╣
# ║║──║║─║║╚╗╔╝║╔╗║║╚═╗╔═╝║─     ║║║║║╔╗║─║╚╗─║╚╗║║═╣║║──══║
# ╚╝──╚╝─╚╝─╚╝─╚╝╚╝╚══╝╚══╝─     ╚╩╩╝╚╝╚╝─╚═╝─╚═╝╚══╝╚╝─╚══╝
#
#   Maintainer: Roman Kutashenko <roman.kutashenko@ovpn.com>
#

# -----------------------------------------------------------------------------

readonly OVPN_NEW_VERSION_FILE="/tmp/ovpn-new-version"

which zypper > /dev/null 2>&1
if [ $? -eq 0 ]; then
    echo "OVPN: Use ZYPPER"
    INSTALL_COMMAND="zypper --non-interactive update ovpn"
    EXTRA_PARAM=""
fi

which dnf > /dev/null 2>&1
if [ $? -eq 0 ]; then
    echo "OVPN: Use DNF"
    INSTALL_COMMAND="dnf update ovpn -y"
    EXTRA_PARAM="-iconic"
fi

which xterm > /dev/null 2>&1
if [ $? -eq 0 ]; then
    START_CMD="echo ''"
    START_CMD="${START_CMD}; echo '# ----------------------------------------------------------'"
    START_CMD="${START_CMD}; cat /opt/OVPN/install-update.sh | head -n 17 | tail -n 15 "
    START_CMD="${START_CMD}; echo '# ----------------------------------------------------------'"
    START_CMD="${START_CMD}; echo ${INSTALL_COMMAND}"
    START_CMD="${START_CMD}; sudo ${INSTALL_COMMAND} && nohup ovpn"
    xterm -bg blue -fg white -fa Monospace -fs 12 ${EXTRA_PARAM} -geometry 61x40 -e bash -c "${START_CMD}"
fi
